[Snort-users] problems compiling barnyard

Elmar Bschorer elmar at ...12628...
Thu Nov 4 04:31:06 EST 2004


hi list,

i`ve tried to compile barnyard-0.2.0 with "--enable-mysql" but without
any success.
here is a list of all relevant software i`ve installed so far:

mysql-3.23.58-9
mysql-devel-3.23.58-9
snort-2.1.3-1.1.fc2.dag

i have the following entries in /etc/ld.so.conf:
include ld.so.conf.d/*.conf
/usr/X11R6/lib
/usr/lib/mysql


when i now try to compile barnyard with:

./configure --enable-mysql \ 
--with-mysql-includes=/usr/include/mysql/ \          
--with-mysql-libraries=/usr/lib/mysql/

i get the following - obviously well known to this list :-) - error:


checking for /usr/include/mysql/mysql.h... yes
checking for mysql_real_connect in -lmysqlclient... no
  
**********************************************
  ERROR: unable to find mysqlclient library
  checked in the following places
        /usr/lib/mysql
**********************************************


i`ve already searched for possible solution for this problem in the
archive. e.g. i tried ./configure with line 2556 modified from:
LIBS="${LIBS} -lz -lssl -lmysqlclient"
to:
LIBS="${LIBS} -lmysqlclient"

as mentioned in the archive. but as you guess...without any success.

may someone plz tell me what is missing?

tia

elmar





More information about the Snort-users mailing list